Java - problema con @entity (ejb)

   
Vista:
Imágen de perfil de paulo villamayor

problema con @entity (ejb)

Publicado por paulo villamayor paulodvs@gmail.com (1 intervención) el 11/08/2014 13:56:15
Hola a todos necesito una ayuda tengo problema con el pom cuando convierto mi proyecto en maven, estoy utilizando elipse luna con el sistema operativo windows 8 sera ese el inconveniente.


Pero estuve investigando y pudo modificar el pom pero no fue efectivo ya que cuando le quiero dar una anotación @entety me sale el erro que esta mas abajo.

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
<project xmlns="http://maven.apache.org/POM/4.0.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <groupId>proyectos.py.com</groupId>
   <artifactId>msrdecision</artifactId>
  <version>1.0-SNAPSHOT</version>
  <name>Actualizaciones de maven luna</name>
  <url>http://maven.apache.org</url>
 <dependencies>
   <dependency>
     <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>test</scope>
    </dependency>
 
        <dependency>
            <groupId>javax.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>2.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>eclipselink</artifactId>
            <version>2.0.0</version>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>com.h2database</groupId>
            <artifactId>h2</artifactId>
            <version>1.2.130</version>
        </dependency>
 
    <dependency>
    <groupId>org.hibernate</groupId>
    <artifactId>hibernate-core</artifactId>
    <version>3.6.0.Final</version>
</dependency>
	<dependency>
		<groupId>org.springframework</groupId>
		<artifactId>spring-tx</artifactId>
		<version>3.2.4.RELEASE</version>
	</dependency>
 
	<dependency>
		<groupId>org.springframework</groupId>
		<artifactId>spring-orm</artifactId>
		<version>3.2.4.RELEASE</version>
	</dependency>
	<dependency>
		<groupId>javax.persistence</groupId>
		<artifactId>persistence-api</artifactId>
		<version>1.0</version>
	</dependency>
 
	<dependency>
		<groupId>org.hibernate</groupId>
		<artifactId>hibernate-core</artifactId>
		<version>4.1.9.Final</version>
	</dependency>
 
	<dependency>
		<groupId>commons-dbcp</groupId>
		<artifactId>commons-dbcp</artifactId>
		<version>1.2.2</version>
	</dependency>
     </dependencies>
  <build>
    <finalName>hello</finalName>
   </build>
 
  <repositories>
        <repository>
            <id>EclipseLink Repo</id>
            <url>http://www.eclipse.org/downloads/download.php?r=1&amp;nf=1&amp;file=/rt/eclipselink/maven.repo</url>
        </repository>
    </repositories>
  <packaging>war</packaging>
</project>


Sera que que debo instalar alguna instalación de los dependecy trate de arreglar pero no estoy encontrando
me sale este error:

Execution default-resources of goal org.apache.maven.plugins:maven-resources-plugin:2.6:resources failed: Plugin org.apache.maven.plugins:maven-resources-plugin:2.6 or one of its dependencies could not be resolved: Failed to collect dependencies at org.apache.maven.plugins:maven-resources-plugin:jar:2.6 -> org.apache.maven.shared:maven-filtering:jar:1.1 -> org.codehaus.plexus:plexus-utils:jar:1.5.15 (org.apache.maven.plugins:maven-resources-plugin:2.6:resources:default-resources:process-resources)

Sera que alguien me podrían ayudar con este caso.

Gracias y saludos a todos.

Éxitos.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder